## gregmisc 0.1.2

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.1.2
Date: 2001/05/24
Depends: R 
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by William Venables 
        and Ben Bolker. 
License: GPL (version 2 or later)

## gregmisc 0.1.3

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.1.3
Date: 2001/05/29
Depends: R 
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by William Venables 
        and Ben Bolker. 
License: GPL (version 2 or later)

## gregmisc 0.1.4

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.1.4
Date: 2001/06/05
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by William Venables 
        and Ben Bolker. 
License: GPL (version 2 or later)

## gregmisc 0.5.3

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.5.3
Date: 2002/03/27
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, and William Venables.
License: GPL (version 2 or later)

## gregmisc 0.5.5

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.5.5
Date: 2002/08/01
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, and William Venables.
License: GPL (version 2 or later)

## gregmisc 0.6.0

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.6.0
Date: 2002/09/23
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, William Venables, and
	Marc Schwartz
License: GPL (version 2 or later)

## gregmisc 0.7.0

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.7.0
Date: 2002/09/24
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, William Venables, and
	Marc Schwartz
License: GPL (version 2 or later)

## gregmisc 0.7.3

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.7.3
Date: 2002/10/29
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, William Venables, and
	Marc Schwartz, Ben Bolker, and Ian Wilson
License: GPL (version 2 or later)
Depends: MASS

## gregmisc 0.8.0

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.8.0
Date: 2003/01/30
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, William Venables, and
	Marc Schwartz, Ben Bolker, Ian Wilson, and Kjetil Halvorsen
License: GPL (version 2 or later)
Depends: R (>= 1.6.0), MASS, nlme (>= 3.1-37)

## gregmisc 0.8.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gregmisc
 Description: Misc Functions written/maintained by Gregory R. Warnes
 Title: Greg's Miscellaneous Functions
-Version: 0.8.0
-Date: 2003/01/30
+Version: 0.8.2
+Date: 2003/03/08
 Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
 Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
         Bendix Carstensen, Don MacQueen, William Venables, and

## gregmisc 0.8.3

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.8.3
Date: 2003/04/04
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, William Venables, and
	Marc Schwartz, Ben Bolker, Ian Wilson, and Kjetil Halvorsen
License: GPL (version 2 or later)
Depends: R (>= 1.6.0), MASS, nlme (>= 3.1-38)

## gregmisc 0.8.4

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.8.4
Date: 2003/04/22
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, William Venables, and
	Marc Schwartz, Ben Bolker, Ian Wilson, and Kjetil Halvorsen
License: GPL (version 2 or later)
Depends: R (>= 1.6.0), mva, MASS, nlme (>= 3.1-38)

## gregmisc 0.8.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gregmisc
 Description: Misc Functions written/maintained by Gregory R. Warnes
 Title: Greg's Miscellaneous Functions
-Version: 0.8.4
-Date: 2003/04/22
+Version: 0.8.5
+Date: 2003/05/20
 Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
 Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
         Bendix Carstensen, Don MacQueen, William Venables, and

## gregmisc 0.8.7

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.8.7
Date: 2003/12/02
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, William Venables, and
	Marc Schwartz, Ben Bolker, Ian Wilson, Kjetil Halvorsen, and
	Arni Magnusson
License: GPL (version 2 or later)
Depends: MASS, nlme

## gregmisc 0.8.8

=== DESCRIPTION ===
Package: gregmisc
Description: Misc Functions written/maintained by Gregory R. Warnes
Title: Greg's Miscellaneous Functions
Version: 0.8.8
Date: 2004/01/20
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, William Venables,
	Marc Schwartz, Ben Bolker, Ian Wilson, Kjetil Halvorsen,
	Arni Magnusson, Lodewijk Bonebakker, ...
License: GPL (version 2 or later)
Depends: MASS, nlme

## gregmisc 0.8.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gregmisc
 Description: Misc Functions written/maintained by Gregory R. Warnes
 Title: Greg's Miscellaneous Functions
-Version: 0.8.8
-Date: 2004/01/20
+Version: 0.8.9
+Date: 2004/02/02
 Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
 Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
         Bendix Carstensen, Don MacQueen, William Venables,

## gregmisc 0.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gregmisc
 Description: Misc Functions written/maintained by Gregory R. Warnes
 Title: Greg's Miscellaneous Functions
-Version: 0.8.9
-Date: 2004/02/02
+Version: 0.9.0
+Date: 2004/02/16
 Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
 Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
         Bendix Carstensen, Don MacQueen, William Venables,

## gregmisc 0.10.2

=== DESCRIPTION ===
Package: gregmisc
Title: Greg's Miscellaneous Functions
Version: 0.10.2
Date: 2004/04/13
Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
        Bendix Carstensen, Don MacQueen, William Venables,
	Marc Schwartz, Ben Bolker, Ian Wilson, Kjetil Halvorsen,
	Arni Magnusson, Lodewijk Bonebakker, ...
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Depends: R (>= 1.9.0)
Description: The gregmisc package is a repository for a variety of
             functions that I find myself needing but that don't seem
             to be available somewhere else. Most of the function in
             the gregmisc library fall into six general areas:
	     permutations and combinations, tools for linear models,
	     plots, data manipulation, and fixed or extended versions of
	     existing functions.
License: GPL

## gregmisc 1.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: gregmisc
 Title: Greg's Miscellaneous Functions
-Version: 0.10.2
-Date: 2004/04/13
+Version: 1.11.0
+Date: 2004/05/25
 Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
         Bendix Carstensen, Don MacQueen, William Venables,
 	Marc Schwartz, Ben Bolker, Ian Wilson, Kjetil Halvorsen,
 	Arni Magnusson, Lodewijk Bonebakker, ...
 Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
-Depends: R (>= 1.9.0)
+Depends: R (>= 1.9.0), nlme
 Description: The gregmisc package is a repository for a variety of
              functions that I find myself needing but that don't seem
              to be available somewhere else. Most of the function in
@@ -16,3 +16,4 @@
 	     plots, data manipulation, and fixed or extended versions of
 	     existing functions.
 License: GPL
+Packaged: Thu May 27 18:40:08 2004; warneg

=== src/Makefile ===
# Global Config Variables
R_PACKAGE_DIR ?= /tmp/gregmisc/
PERL_PREFIX = $(R_PACKAGE_DIR)/perl
BIN_PREFIX  = $(R_PACKAGE_DIR)/bin

PERL_LIB=$(PERL_PREFIX)

# Names of packages to install, ordered according to dependencies
packages = IO-stringy \
	   Spreadsheet-ParseExcel \
	   OLE-Storage_Lite

TGZ  =	IO-stringy-2.109.tar.gz \
	OLE-Storage_Lite-0.11.tar.gz \
	Spreadsheet-ParseExcel-0.2602.tar.gz

DIRS =  $(subst .tar.gz,,$(TGZ))

PERLVARS =  PERL_LIB=${PERL_LIB} \
	    PERL5LIB=${PERL_LIB} \
	    PREFIX=${R_PACKAGE_DIR} \
	    SITEPREFIX=$(R_PACKAGE_DIR)/perl \
	    SITELIBEXP=${PERL_PREFIX} \
	    SITEARCHEXP=${PERL_PREFIX} \
	    INSTALLBIN=${R_PACKAGE_DIR}/bin \
	    INSTALLSCRIPT=${R_PACKAGE_DIR}/bin \
	    INSTALLPRIVLIB=${PERL_PREFIX} \
	    INSTALLSITELIB=${PERL_PREFIX} \
	    INSTALLMAN1DIR=${PERL_PREFIX}/man \
	    INSTALLMAN3DIR=${PERL_PREFIX}/man/man3

default: install

basedir:
	@mkdir -p $(R_PACKAGE_DIR) 
	@mkdir -p $(PERL_PREFIX)
	@mkdir -p $(BIN_PREFIX)

%:%.tar.gz basedir
	@echo -- Installing PERL module $< --
	@echo INCLUDE DIRS = $(PERL_LIB)
	tar -xzf $<	
	cd $@ ; \
	perl -I$(PERL_LIB) Makefile.PL $(PERL_VARS)
	${MAKE} -C $@         PERL_PREFIX=$(PERL_PREFIX) $(PERLVARS)
	${MAKE} -C $@ test    PERL_PREFIX=$(PERL_PREFIX) $(PERLVARS) 
	${MAKE} -C $@ install PERL_PREFIX=$(PERL_PREFIX) $(PERLVARS)
	rm -rf $@ # clean up after ourselves

test: $(TGZ)
	perl -I$(PERL_LIB) xls2csv.pl iris.xls iris.csv 1
	diff -bBw iris.csv.save iris.csv

clean:
	-rm -rf $(PERL_PREFIX)
	-rm -rf $(BIN_PREFIX)
	-rm xls2csv xls2csv.bat xls2csv.pl


show:	
	@echo R_PACKAGE_DIR=$(R_PACKAGE_DIR)
	@echo BIN_PREFIX=   $(BIN_PREFIX)
	@echo PERL_PREFIX=  $(PERL_PREFIX)


xls2csv.pl: xls2csv.pl.in Makefile
	# Set explicit path to libaries
	perl -p -e 's|# use lib ".";|use lib "$(PERL_PREFIX)";|' \
            xls2csv.pl.in > xls2csv.pl

xls2csv.bat: xls2csv.bat.in Makefile
	# Set explicit path to perl script
	perl -p -e 's|../perl|$(PERL_PREFIX)|' xls2csv.bat.in > xls2csv.bat

xls2csv: xls2csv.in Makefile
	# Set explicit path to perl script
	perl -p -e 's|../perl|$(PERL_PREFIX)|' xls2csv.in > xls2csv

build: basedir $(DIRS) 

install_bin: xls2csv.pl xls2csv.bat xls2csv
	mkdir -p $(BIN_PREFIX)
	install xls2csv $(BIN_PREFIX)/
	install xls2csv.bat $(BIN_PREFIX)/
	install xls2csv.pl $(PERL_PREFIX)/

install: show clean build install_bin clean
	touch gregmisc.so

## gregmisc 1.11.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gregmisc
 Title: Greg's Miscellaneous Functions
-Version: 1.11.0
-Date: 2004/05/25
+Version: 1.11.1
+Date: 2004/06/04
 Author: Gregory R. Warnes.  Includes code provided by Ben Bolker, 
         Bendix Carstensen, Don MacQueen, William Venables,
 	Marc Schwartz, Ben Bolker, Ian Wilson, Kjetil Halvorsen,
@@ -16,4 +16,4 @@
 	     plots, data manipulation, and fixed or extended versions of
 	     existing functions.
 License: GPL
-Packaged: Thu May 27 18:40:08 2004; warneg
+Packaged: Wed May 26 12:24:15 2004; warneg

=== src/Makefile ===
# Global Config Variables
# Paths
ifeq ($(OS),Windows_NT)
  # Windows wants the buid to take place in the source dir
  TARGET_DIR  = $(shell pwd)/../inst
else
  # *nix wants it to take place in the target dir
  R_PACKAGE_DIR ?= $(shell pwd)/../inst
  TARGET_DIR  = $(R_PACKAGE_DIR)/
endif

PERL_PREFIX = $(TARGET_DIR)/perl
BIN_PREFIX  = $(TARGET_DIR)/bin
PERL_LIB    = $(PERL_PREFIX)


# Executables 
ifeq ($(OS),Windows_NT)
  INSTALL=mkdir -p
  CP=cp
  MAKE=MAKEFLAGS='' NMAKE
  ENV=set
else
  INSTALL=$(R_HOME)/bin/mkinstalldirs
  CP=install
  ENV=env
endif

# Names of packages to install, ordered according to dependencies
packages = IO-stringy \
	   Spreadsheet-ParseExcel \
	   OLE-Storage_Lite

TGZ  =	IO-stringy-2.109.tar.gz \
	OLE-Storage_Lite-0.11.tar.gz \
	Spreadsheet-ParseExcel-0.2602.tar.gz

DIRS =  $(subst .tar.gz,,$(TGZ))

PERLDIRS =  PERL_PREFIX='$(PERL_PREFIX)' \
	    PERLPREFIX='$(PERL_PREFIX)' \
	    PERL_LIB='$(PERL_LIB)' \
	    PERL5LIB='$(PERL_LIB)' \
	    PREFIX='$(TARGET_DIR)' \
	    SITEPREFIX='$(TARGET_DIR)/perl' \
	    SITELIBEXP='$(PERL_PREFIX)' \
	    SITEARCHEXP='$(PERL_PREFIX)' \
	    INSTALLBIN='$(TARGET_DIR)/bin' \
	    INSTALLSCRIPT='$(TARGET_DIR)/bin' \
	    INSTALLPRIVLIB='$(PERL_PREFIX)' \
	    INSTALLSITELIB='$(PERL_PREFIX)' \
	    INSTALLMAN1DIR='$(PERL_PREFIX)/man' \
	    INSTALLMAN3DIR='$(PERL_PREFIX)/man/man3'

ifeq ($(OS),Windows_NT)
  # Calls to Windows code needs the Windows form of paths
  PERLVARS = $(subst /,\, $(subst /cygdrive/c,C:\,$(PERLDIRS)))	
  PERL_INC = $(subst /,\, $(subst /cygdrive/c,C:\,$(PERL_LIB)))
else
  PERLVARS = $(PERLDIRS)
  PERL_INC=$(PERL_LIB)
endif


default: install

basedir:
	@mkdir -p '$(TARGET_DIR)' 
	@mkdir -p '$(PERL_PREFIX)'
	@mkdir -p '$(BIN_PREFIX)'

%:%.tar.gz basedir
	@echo -- Installing PERL module $< --
	tar -xzf $<	
	cd $@ ;	perl -I'$(PERL_INC)' Makefile.PL 
	cd $@ ; $(MAKE)              $(PERLVARS)
	cd $@ ; $(MAKE) test         $(PERLVARS)
	cd $@ ; $(MAKE) install_site $(PERLVARS)
	rm -rf $@ # clean up after ourselves

test: $(TGZ)
	perl -I'$(PERL_INC)' xls2csv.pl iris.xls iris.csv 1
	diff -bBw iris.csv.save iris.csv

clean:
	-rm -rf $(PERL_PREFIX)
	-rm -rf $(BIN_PREFIX)
	-rm -rf $(DIRS)
	-rm -f gregmisc.dll gregmisc.so
	-rm -f xls2csv xls2csv.bat xls2csv.pl
	-rm -f *~ 
	-rm -f *.csv

show:	
	@echo ------------------------------
	@echo START of ENVIRONMENT VARIABLES
	@echo ------------------------------
	$(ENV)
	@echo ------------------------------
	@echo TARGET_DIR=$(TARGET_DIR)
	@echo BIN_PREFIX=$(BIN_PREFIX)
	@echo PERL_PREFIX=$(PERL_PREFIX)
	@echo PERL_LIB=$(PERL_LIB)
	@echo MAKE=$(NMAKE)
	@echo ------------------------------
	@echo PERLVARS=$(PERLVARS)
	@echo ----------------------------
	@echo END of ENVIRONMENT VARIABLES
	@echo ----------------------------


xls2csv.pl: xls2csv.pl.in
	$(CP) xls2csv.pl.in xls2csv.pl

xls2csv.bat: xls2csv.bat.in
	$(CP) xls2csv.bat.in xls2csv.bat

xls2csv: xls2csv.in
	$(CP) xls2csv.in xls2csv

build: basedir $(DIRS) 

install_bin: xls2csv.pl xls2csv.bat xls2csv
	$(INSTALL) '$(BIN_PREFIX)'
ifeq ($(OS),Windows_NT)
	$(CP) xls2csv.bat '$(BIN_PREFIX)/'
else
	$(CP) xls2csv '$(BIN_PREFIX)/'
endif
	$(CP) xls2csv.pl '$(PERL_PREFIX)/'

install: clean build install_bin
	touch gregmisc.so

=== inst/tools/Makefile ===
# Download and install all available R packages from the CRAN and Bioconductor 
# package repositories
#
RCMD ?= R-1.9.0
WGET ?= wget -N -nd -r -A gz -r -l 1 -nv

PACKAGE_FILES = $(wildcard *.gz ) 
PACKAGE_LOGS  = $(addsuffix .log, $(basename $(basename $(PACKAGE_FILES))))

default: cran bioconductor install

cran: 
	$(WGET) "http://cran.r-project.org/src/contrib/PACKAGES.html"

bioconductor: bioCmain bioCcontrib bioCdata

bioCmain:
	$(WGET) "http://www.bioconductor.org/repository/release1.3/package/html/index.html"

bioCcontrib:
	$(WGET) "http://www.bioconductor.org/contrib/index.html"

bioCdata:
	$(WGET) "http://www.bioconductor.org/data/metaData.html"

install: $(PACKAGE_LOGS)

%.log: %.tar.gz
	$(RCMD) INSTALL $< > $@.broken 2>&1 
	mv $@.broken $@

## gregmisc 1.11.2

=== DESCRIPTION ===
Package: gregmisc
Title: Greg's Miscellaneous Functions
Version: 1.11.2
Date: 2004/06/07
Author: Gregory R. Warnes.  Includes R source code and documentation
        contributed by 
	   - Ben Bolker, 
	   - Lodewijk Bonebakker, 
	   - Bendix Carstensen, 
	   - R. Gentleman, 
	   - Kjetil Halvorsen, 
	   - W. Huber
	   - Andy Liaw, 
	   - Don MacQueen, 
	   - M. Maechler, 
	   - Arni Magnusson, 
	   - Jim Rogers, 
	   - Marc Schwartz, 
	   - William Venables, 
	   - Ian Wilson,
	and others (let me know if I missed you!), as well as the Perl
        modules 
	   - "IO-stringy" (copyright 1996 by Eryq, and 1999,2001 by
  	     ZeeGee Software Inc),
	   - OLE::Storage_Lite (copyright 2000,2001 by Kawai Takanori),
	   - Spreadsheet::ParseExcel (copyright 2000-2002 by Kawai
 	     Takanori )
	under the terms of the GNU General Public Licence (GPL).
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
Depends: R (>= 1.9.0), nlme
Description: The gregmisc package is a repository for a variety of
             functions that I find myself needing but that don't seem
             to be available somewhere else. Most of the function in
             the gregmisc library fall into six general areas:
	     permutations and combinations, tools for linear models,
	     plots, data manipulation, and fixed or extended versions of
	     existing functions.
License: GPL
Packaged: Mon Jun  7 23:56:22 2004; warneg

## gregmisc 2.0.0

=== DESCRIPTION ===
Bundle: gregmisc
Contains: gtools gdata gmodels gplots 
Title: Greg's Miscellaneous Functions
BundleDescription: The gregmisc bundle is a repository for a variety of
             useful functions.  See the individual packages for more
             details.
Version: 2.0.0
Date: 2004-09-02
Author: Gregory R. Warnes.  Includes R source code and documentation
        contributed by
	   - Ben Bolker,
	   - Lodewijk Bonebakker,
	   - Bendix Carstensen,
	   - R. Gentleman,
	   - Kjetil Halvorsen,
	   - W. Huber
           - Nitin Jain,
	   - Andy Liaw,
	   - Don MacQueen,
	   - M. Maechler,
	   - Arni Magnusson,
	   - Jim Rogers,
	   - Marc Schwartz,
	   - William Venables,
	   - Ian Wilson,
	and others (let me know if I missed you!), as well as the Perl
        modules
	   - "IO-stringy" (copyright 1996 by Eryq, and 1999,2001 by
  	     ZeeGee Software Inc),
	   - OLE::Storage_Lite (copyright 2000,2001 by Kawai Takanori),
	   - Spreadsheet::ParseExcel (copyright 2000-2002 by Kawai
 	     Takanori )
	under the terms of the GNU General Public Licence (GPL).
Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
License: GPL (version 2 or later)
Packaged: Mon Sep 27 17:10:16 2004; warneg

## gregmisc 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BundleDescription: The gregmisc bundle is a repository for a variety of
              useful functions.  See the individual packages for more
              details.
-Version: 2.0.0
+Version: 2.0.2
 Date: 2004-09-02
 Author: Gregory R. Warnes.  Includes R source code and documentation
         contributed by
@@ -33,4 +33,4 @@
 	under the terms of the GNU General Public Licence (GPL).
 Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
 License: GPL (version 2 or later)
-Packaged: Mon Sep 27 17:10:16 2004; warneg
+Packaged: Fri Jan 21 13:30:08 2005; jainn02

## gregmisc 2.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
 BundleDescription: The gregmisc bundle is a repository for a variety of
              useful functions.  See the individual packages for more
              details.
-Version: 2.0.2
-Date: 2004-09-02
+Version: 2.0.3
+Date: 2005-02-25
 Author: Gregory R. Warnes.  Includes R source code and documentation
         contributed by
 	   - Ben Bolker,
@@ -31,6 +31,6 @@
 	   - Spreadsheet::ParseExcel (copyright 2000-2002 by Kawai
  	     Takanori )
 	under the terms of the GNU General Public Licence (GPL).
-Maintainer: Gregory R. Warnes <Gregory_R_Warnes@groton.pfizer.com>
+Maintainer: Gregory R. Warnes <Gregory.R.Warnes@Pfizer.com>
 License: GPL (version 2 or later)
-Packaged: Fri Jan 21 13:30:08 2005; jainn02
+Packaged: Fri Feb 25 20:15:45 2005; jainn02

## gregmisc 2.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Bundle: gregmisc
-Contains: gtools gdata gmodels gplots 
+Contains: gtools gdata gmodels gplots gregmisc
 Title: Greg's Miscellaneous Functions
 BundleDescription: The gregmisc bundle is a repository for a variety of
              useful functions.  See the individual packages for more
              details.
-Version: 2.0.3
-Date: 2005-02-25
+Version: 2.0.4
+Date: 2005-03-21
 Author: Gregory R. Warnes.  Includes R source code and documentation
         contributed by
 	   - Ben Bolker,
@@ -33,4 +33,4 @@
 	under the terms of the GNU General Public Licence (GPL).
 Maintainer: Gregory R. Warnes <Gregory.R.Warnes@Pfizer.com>
 License: GPL (version 2 or later)
-Packaged: Fri Feb 25 20:15:45 2005; jainn02
+Packaged: Tue Mar 22 01:16:29 2005; warneg

## gregmisc 2.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
 BundleDescription: The gregmisc bundle is a repository for a variety of
              useful functions.  See the individual packages for more
              details.
-Version: 2.0.4
-Date: 2005-03-21
+Version: 2.0.5
+Date: 2005-03-31
 Author: Gregory R. Warnes.  Includes R source code and documentation
         contributed by
 	   - Ben Bolker,
@@ -33,4 +33,4 @@
 	under the terms of the GNU General Public Licence (GPL).
 Maintainer: Gregory R. Warnes <Gregory.R.Warnes@Pfizer.com>
 License: GPL (version 2 or later)
-Packaged: Tue Mar 22 01:16:29 2005; warneg
+Packaged: Sat Apr  2 00:54:22 2005; warneg

=== gregmisc.Rcheck/gregmisc/DESCRIPTION ===
Package: gregmisc
Title: Greg's Miscellaneous Functions
Description: Backword compatibility package for gregmisc bundle.  This
        package simply loads the other packages within the gregmisc
        bundle, in in order to simulate the old behavior when gregmisc
        was a single package.
Depends: R (>= 1.9.0), gdata, gtools, gmodels, gplots
Bundle: gregmisc
BundleDescription: The gregmisc bundle is a repository for a variety
        of useful functions.  See the individual packages for more
        details.
Version: 2.0.5
Date: 2005-03-31
Author: Gregory R. Warnes.  Includes R source code and documentation
        contributed by - Ben Bolker, - Lodewijk Bonebakker, - Bendix
        Carstensen, - R. Gentleman, - Kjetil Halvorsen, - W. Huber -
        Nitin Jain, - Andy Liaw, - Don MacQueen, - M. Maechler, - Arni
        Magnusson, - Jim Rogers, - Marc Schwartz, - William Venables,
        - Ian Wilson, and others (let me know if I missed you!), as
        well as the Perl modules - "IO-stringy" (copyright 1996 by
        Eryq, and 1999,2001 by ZeeGee Software Inc), -
        OLE::Storage_Lite (copyright 2000,2001 by Kawai Takanori), -
        Spreadsheet::ParseExcel (copyright 2000-2002 by Kawai Takanori
        ) under the terms of the GNU General Public Licence (GPL).
Maintainer: Gregory R. Warnes <Gregory.R.Warnes@Pfizer.com>
License: GPL (version 2 or later)
Built: R 2.0.1; ; 2005-04-01 23:43:05; unix

## gregmisc 2.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
 BundleDescription: The gregmisc bundle is a repository for a variety of
              useful functions.  See the individual packages for more
              details.
-Version: 2.0.5
-Date: 2005-03-31
+Version: 2.0.6
+Date: 2005-04-04
 Author: Gregory R. Warnes.  Includes R source code and documentation
         contributed by
 	   - Ben Bolker,
@@ -33,4 +33,4 @@
 	under the terms of the GNU General Public Licence (GPL).
 Maintainer: Gregory R. Warnes <Gregory.R.Warnes@Pfizer.com>
 License: GPL (version 2 or later)
-Packaged: Sat Apr  2 00:54:22 2005; warneg
+Packaged: Mon Apr  4 11:03:03 2005; warneg

## gregmisc 2.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,8 @@
 BundleDescription: The gregmisc bundle is a repository for a variety of
              useful functions.  See the individual packages for more
              details.
-Version: 2.0.6
-Date: 2005-04-04
+Version: 2.0.7
+Date: 2005-05-13
 Author: Gregory R. Warnes.  Includes R source code and documentation
         contributed by
 	   - Ben Bolker,
@@ -33,4 +33,4 @@
 	under the terms of the GNU General Public Licence (GPL).
 Maintainer: Gregory R. Warnes <Gregory.R.Warnes@Pfizer.com>
 License: GPL (version 2 or later)
-Packaged: Mon Apr  4 11:03:03 2005; warneg
+Packaged: Fri May 13 15:02:59 2005; jainn02

## gregmisc 2.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
-Bundle: gregmisc
-Contains: gtools gdata gmodels gplots gregmisc
-Title: Greg's Miscellaneous Functions
-BundleDescription: The gregmisc bundle is a repository for a variety of
-             useful functions.  See the individual packages for more
-             details.
-Version: 2.0.7
-Date: 2005-05-13
+Package: gregmisc
+Title: Backword compatibility package for gregmisc bundle
+Description: Backword compatibility package for gregmisc bundle.  This package
+             simply loads the other packages within the gregmisc bundle, in
+	     in order to simulate the old behavior when gregmisc was a single
+             package.
+Version: 2.0.8
+Depends: R (>= 1.9.0), gdata, gtools, gmodels, gplots
 Author: Gregory R. Warnes.  Includes R source code and documentation
         contributed by
 	   - Ben Bolker,
@@ -31,6 +31,6 @@
 	   - Spreadsheet::ParseExcel (copyright 2000-2002 by Kawai
  	     Takanori )
 	under the terms of the GNU General Public Licence (GPL).
-Maintainer: Gregory R. Warnes <Gregory.R.Warnes@Pfizer.com>
+Maintainer: Nitin Jain <nitin.jain@pfizer.com>
 License: GPL (version 2 or later)
-Packaged: Fri May 13 15:02:59 2005; jainn02
+Packaged: Thu Jun  2 12:09:45 2005; jainn02

## gregmisc 2.1.1

=== DESCRIPTION ===
Package: gregmisc
Title: Greg's Miscellaneous Functions
Description: Various functions to manipulate data.
Depends:  gdata, gmodels, gplots, gtools
Description: The former gregmisc bundle is a repository for a variety of
             useful functions.  The gregmisc package was recently split into 
             a set of more focused packages: gdata, gmodels, gplots, gtools.
             The purpose of this 'new' gregmisc is to provide an easy 
             way to access the original combined functionality.  To this
             end, it simply depends on all of the new packages so that 
             these will installed/loaded when this package is installed/loaded.
Version: 2.1.1
Author: Gregory R. Warnes.
Maintainer: Gregory R. Warnes <warnes@bst.rochester.edu>
License: GPL (version 2 or later)
Packaged: Tue Nov 28 19:27:01 2006; warnes

## gregmisc 2.1.2

=== DESCRIPTION ===
Package: gregmisc
Title: Greg's Miscellaneous Functions
Description: The former gregmisc bundle is a repository for a variety
        of useful functions.  The gregmisc package was recently split
        into a set of more focused packages: gdata, gmodels, gplots,
        gtools. The purpose of this 'new' gregmisc is to provide an
        easy way to access the original combined functionality.  To
        this end, it simply depends on all of the new packages so that
        these will installed/loaded when this package is
        installed/loaded.
Depends: gdata, gmodels, gplots, gtools
Version: 2.1.2
Author: Gregory R. Warnes.
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2011-09-01 21:46:31 UTC; warnegr1
Repository: CRAN
Date/Publication: 2011-09-02 04:54:58

## gregmisc 2.1.5

=== DESCRIPTION ===
Package: gregmisc
Title: Greg's Miscellaneous Functions
Description: Description: The former gregmisc bundle is a repository
        for a variety of useful functions.  The gregmisc package has
        been split into a set of more focused packages: gdata, gmodels,
        gplots, gtools.  The purpose of this 'new' gregmisc is to
        provide an easy way to access the original combined
        functionality.  To this end, it simply depends on all of the
        new packages so that these will installed/loaded when this
        package is installed/loaded.
Depends: gdata, gmodels, gplots, gtools
Version: 2.1.5
Author: Gregory R. Warnes.
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2013-06-28 21:48:38 UTC; warnes
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-06-29 00:15:57

=== debian/changelog ===
gregmisc (2.1.5-4) unstable; urgency=medium

  * debian/control: Correct copy-and-paste-oh error

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jan 2021 13:08:39 -0600

gregmisc (2.1.5-3) unstable; urgency=medium

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper-compat (= 11)'
  * debian/control: Set Standards-Version: to current version
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem
  * debian/compat: Removed
  * debian/watch: Removed as upstream package no longer on CRAN

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Jan 2021 15:58:29 -0600

gregmisc (2.1.5-2) unstable; urgency=medium

  * debian/compat: Created			(Closes: #829669)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Jul 2016 05:30:55 -0500

gregmisc (2.1.5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Jul 2013 12:28:40 -0500

gregmisc (2.1.2-3) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Apr 2013 20:11:44 -0500

gregmisc (2.1.2-2) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Oct 2011 17:22:45 -0500

gregmisc (2.1.2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 02 Sep 2011 09:43:57 -0500

gregmisc (2.1.1-2) unstable; urgency=low

  * Rebuilt under current version			(Closes: #628514)

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

  * debian/rules: Uncrufted, removed commented out old material

  * debian/control: Updated to current standard
  * debian/post{inst,rm}: Remove empty files
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 29 May 2011 13:15:18 -0500

gregmisc (2.1.1-1) unstable; urgency=low

  * New upstream release

  * debian/rules: Simplified to cdbs-based one-liner sourcing r-cran.mk 

  * debian/control: Hence Build-Depends: updated to r-base-dev (>= 2.4.0)
  * debian/control: Standards-Version: increased to 3.7.2
  
  * debian/watch: Updated to version 3
  * debian/watch: One more fix for regular expression 

  * debian/post{inst,rm}: No longer call R to update html help index

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Nov 2006 21:18:50 -0600

gregmisc (2.0.8-1) unstable; urgency=low

  * New upstream release 
  * gregmisc is now an almost virtual package depending on the four new 
    packages gdata, gmodels, gplots, gtools which contain the code formerly 
    provided directly in gregmisc.
  * debian/control: Depends: and Build-Depends: updated accordingly
  * debian/rules: No longer require code for bundle

  * debian/watch: Corrected regular expression (thanks, Rafael Laboissier)
  * debian/post{inst,rm}: Call /usr/bin/R explicitly (thanks, Kurt Hornik)
  * debian/control: Upgraded Standards-Version: to 3.6.2.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Sep 2005 23:27:50 -0500

gregmisc (2.0.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 May 2005 22:49:22 -0500

gregmisc (2.0.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  4 Apr 2005 20:41:21 -0500

gregmisc (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  3 Apr 2005 19:03:55 -0500

gregmisc (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  1 Mar 2005 21:51:59 -0600

gregmisc (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Jan 2005 20:43:15 -0600

gregmisc (2.0.0-2) unstable; urgency=low

  * Rebuilt under R 2.0.0
  * debian/control: Updated Build-Depends: and Depends: accordingly
  * debian/control: Added r-cran-vr to Build-Depends:

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  8 Oct 2004 19:39:08 -0500

gregmisc (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/post{inst,rm}: Test for /usr/bin/R before calling it
  * debian/watch: Added watch file
  * debian/rules: Changed to reflect 'bundle' status of gregmisc as of 2.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Sep 2004 20:13:25 -0500

gregmisc (1.11.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  8 Jun 2004 22:46:00 -0500

gregmisc (1.11.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  5 Jun 2004 19:43:59 -0500

gregmisc (1.11.0-1) unstable; urgency=low

  * New upstream release
  * debian/post{inst,rm}: Call build-help.pl to update package.html list

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 May 2004 20:12:50 -0500

gregmisc (0.10.2-1) unstable; urgency=low

  * Initial Debian release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  6 May 2004 20:35:26 -0500

=== debian/control ===
Source: gregmisc
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, r-cran-gdata, r-cran-gmodels, r-cran-gplots, r-cran-gtools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-gregmisc
Vcs-Git: https://salsa.debian.org/edd/r-cran-gregmisc.git

Package: r-cran-gregmisc
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-gdata, r-cran-gmodels, r-cran-gplots, r-cran-gtools
Description: GNU R package with miscellaneous functions by Greg Warnes et al
 This package of miscellaneous functions for GNU R that written by
 Gregory Warnes with code contributions by Ben Bolker, Bendix
 Carstensen, Don MacQueen, William Venables, Marc Schwartz, Ben
 Bolker, Ian Wilson, Kjetil Halvorsen, Arni Magnusson, Lodewijk
 Bonebakker, and others. 
 .
 Most of the function in the gregmisc library fall into six general areas:
 permutations and combinations, tools for linear models, plots, data
 manipulation, and fixed or extended versions of existing functions.
 .
 Note that as of version 2.0.8, gregmisc's code is now provided by the
 new packages gdata, gmodels, gplots and gtools which contain all the
 code formerly provided by gregmisc.  Unless any of your R code still
 loads the gregmisc package directly, and you thus need it to load the
 component packages, you can remove this package.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-gregmisc package
# Copyright 2003-2021 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R
